Package twisted :: Package web :: Module server :: Class UnsupportedMethod

[show private | hide private]
[frames | no frames]

## Class UnsupportedMethod

    Exception --+
                |
               UnsupportedMethod

Raised by a resource when faced with a strange request method.

RFC 2616 (HTTP 1.1) gives us two choices when faced with this situtation: If the type of request is known to us, but not allowed for the requested resource, respond with NOT_ALLOWED. Otherwise, if the request is something we don't know how to deal with in any case, respond with NOT_IMPLEMENTED.

When this exception is raised by a Resource's render method, the server will make the appropriate response.

This exception's first argument MUST be a sequence of the methods the resource *does* support.

Method Summary
| `__init__(...)`
| `__getitem__(...)` (inherited from `Exception`)
| `__str__(...)` (inherited from `Exception`)

Class Variable Summary
`tuple` | `allowedMethods`

Class Variable Details

### allowedMethods

  Type:
    `tuple`
  Value:

        ()

Generated by Epydoc 1.1 on Thu May 8 13:19:08 2003 | http://epydoc.sf.net